
// QTreeJobText: the text on a JobBar. 

class QTreeJobText : public QCanvasText  
{
public:
	QTreeJobText( QCanvas* canvas );
	virtual ~QTreeJobText();

	// For use by JobBar::AddJob(). 
	QTreeJobText* AddNext( StrBuf& jobname, StrBuf& truename );

	// RTTI for collision detection 
	int rtti() const { return RTTI_JOB; };

	// QTreeJobDialog 
	void InfoDialog( QWidget* parent, ClientApi* client, Error* e );

	// The "true name" of the job 
	QString jobname;

	QString Tip();
private:
	QTreeJobText* next;
	ClientJobDescUser ui;
};
